/*
//Utility
*/

.hide-this {
	display: none;
}

.center-container {
	text-align: center;
}

.center-item {
	display: inline-block;
	margin: 0 auto;
}

.float-left {
	float: left;
}

.float-right {
	float: right;
}

.disabled-background {
	background: #EEEEEE;
}

.columnize {
	-webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
    -webkit-column-gap: 3em;
    -moz-column-gap: 3em;
    column-gap: 3em;
    -webkit-column-rule: 1px solid #e5e5e5;
    -moz-column-rule: 1px solid #e5e5e5;
    column-rule: 1px solid #e5e5e5;
    margin: 0 0 1.313em;
}

@media screen and (max-width: 600px) {
	.columnize {
		-webkit-column-count: 1;
		-moz-column-count: 1;
		column-count: 1;
	}	
}

.vertical-margin-medium {
	margin: 30px 0;
}	

@media screen and (max-width: 900px) {
	.vertical-margin-medium {
		margin: 15px 0;
	}	
}

/*
//General
*/

html, body {
	height: 100%;
	width: 100%;
}

body {
	font-size: 14px;
    font-style: normal;
    font-weight: 400;
    font-family: 'Lato', sans-serif;
    color: #999999;
    background-color: #f3f3f3;
}

a:hover, a:active, a:link {
	text-decoration: none;
}

ul {
	margin: 0px;
	padding: 0px;
	list-style-type: none;
}

li {
	line-height: 1.7;
}

.fa {
	margin: 0 7px 0 0;
}

.glyphicon {
	margin: 0 10px 0 0;
}

textarea {
    resize: none;
}


/*
//mMenu - Left
*/

#toolbox-menu:not( .mm-menu ) {
    display: none;
    width: 30%;
	float: left;
}

#toolbox-menu .list-group .list-group-header-row {
	background: #f5f5f5;
	font-weight: bold;
}

/* Main panel */
#toolbox-menu {
	background: #314969;
	color: white;
}

#toolbox-menu .link-red {
	color: #D21616;
}

#toolbox-menu #main-logo {
	padding: 0 0 40px 0;
}

#toolbox-menu #main-logo img {
	width: 180px;
    display: block;
    margin: 0px auto;
}

#toolbox-menu .mm-listview  li > a{
	white-space: normal;
}

/* Toggles */

.mm-menu input.mm-toggle:checked~label.mm-toggle {
	background: #3d8e4a !important;
}

/* Headers, fonts, and arrows */
.mm-menu .mm-listview > li .mm-next:after, .mm-menu .mm-listview > li .mm-arrow:after {
	border-color: white;
}

.mm-menu .mm-navbar .mm-btn:before, .mm-menu .mm-navbar .mm-btn:after {
	border-color: white;
}

#toolbox-menu .mm-title {
	color: white;
	font-size: 20px;
}

.mm-listview {
	font-size: 18px;
}

#toolbox-menu h1 { font-size: 22px; }
#toolbox-menu h2 { font-size: 20px; }
#toolbox-menu h3 { font-size: 18px; }
#toolbox-menu h4 { font-size: 16px; }
#toolbox-menu h5 { font-size: 14px; }

#toolbox-menu .panel-heading {
	font-weight: bold;
}


/* Layer switcher */
#toolbox-menu #mm-layers {
	color: black;
}

.mm-menu label.mm-toggle {
    background: rgba(0, 0, 0, 0.5);
	cursor: pointer;
}

/*#toolbox-menu #reference-layers h4 {
	color: white;
	font-size: 18px;
	font-style: italic;
	margin: 10px 0 5px 0;
}*/

/* Historic aerial imagery */

#toolbox-menu #historic-gallery {
	color: black;
}

#toolbox-menu #historic-gallery li {
	text-align: center;
}

#toolbox-menu #historic-gallery li h5 {
	text-align: center;
	margin: 0 0 8px 0;
}

#toolbox-menu #historic-gallery .imagery-year-listing {
	margin: 0px auto;
}

/* Parcel information */

#toolbox-menu #parcel-info-panel {
	margin: 15px 0 0 0;
	color: black;
}

#toolbox-menu #parcel-info-panel .panel-heading {
	font-weight: bold;
    padding-left: 36px;
}

#toolbox-menu #parcel-info-table thead th {
	padding: 0 0 8px 0;
}

#toolbox-menu #parcel-info-table th:nth-child(3),
#toolbox-menu #parcel-info-table td:nth-child(3) {
	text-align: right;
}

#toolbox-menu #parcel-info-table tbody td {
	border-top: 1px solid #ccc;
    padding: 6px 0px;
}

/* Parcel filter */

#toolbox-menu #filter-panel {
	margin: 15px 0 0 0;
	color: black;
}

#toolbox-menu .filter-controls span {
	margin: 0 0 10px 0;
}

#toolbox-menu #filter-table thead th {
	padding: 0 0 8px 0;
}

#toolbox-menu #filter-table thead tr th:nth-child(1):after {
	display: none;
}

#toolbox-menu #filter-table tbody td {
	border-top: 1px solid #ccc;
    padding: 6px 0px;
}

#toolbox-menu #filter-table .pagination {
	float: left;
}

/* Drawing tools */

#color-picker-container {
	padding: 15px;
}

#color-picker-container h3 {
	font-size: 14px;
	color: black;
	margin: 20px 0px 5px 0;
}

#color-picker-label {
	margin: 0 0 5px 0 !important;
}

#color-picker-container button {
	width: 100%;
}

/* Land cover */

#toolbox-menu #mm-landcover {
	color: black;
}

#toolbox-menu .panel-heading span {
	margin-top: -20px;
	font-size: 15px;
	cursor: pointer;
}

#toolbox-menu #panel-title {
	color: black;
}

#toolbox-menu #mm-landcover .land-cover-chart {
	vertical-align: top;
	display: inline-block;
	width: 45%;
}

#toolbox-menu #mm-landcover .land-cover-table {
	margin: 0px;
	display: inline-block;
	width: 54%;
}

#toolbox-menu #mm-landcover .land-cover-table th, 
#toolbox-menu #mm-landcover .land-cover-table td {
	padding-left: 15px;
}

#toolbox-menu #mm-landcover .canvasjs-chart-credit {
	display: none;
}

/* Report generator */
#toolbox-menu #mm-report {
	color: black;
}

/*
//Login
*/

.um-form .um-left {
	width: 100%;
}

.um-form .um-right {
	display: none;
}

/*
//Map - Right
*/

/* Imagery boxes */

#main-page .imagery-info {
	position: absolute;
    z-index: 50;
    background: white;
    color: #3f3f3f;
    padding: 5px 15px;
    -moz-box-shadow: 0px 1px 1px rgba(0,0,0,0.5);
    -webkit-box-shadow: 0px 1px 1px rgba(0,0,0,0.5);
    box-shadow: 0px 1px 1px rgba(0,0,0,0.5);
}

#main-page .imagery-info#left-imagery {
    bottom: 50px;
    left: 50px;	
}

#main-page .imagery-info#right-imagery {
    bottom: 50px;
    right: 50px;	
}

/* Search bar */

#main-page .arcgisSearch .searchInput, 
#main-page .arcgisSearch .searchIcon {
      color: #3f3f3f !important;
}

::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color:    #3f3f3f !important;
}
:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
   color:    #3f3f3f !important;
   opacity:  1;
}
::-moz-placeholder { /* Mozilla Firefox 19+ */
   color:    #3f3f3f !important;
   opacity:  1;
}
:-ms-input-placeholder { /* Internet Explorer 10-11 */
   color:    #3f3f3f !important;
}

/* Popup window */
#main-page .esriPopup .titlePane {
	background: #314969;
	min-height: 35px;
}

#main-page .title, #main-page .titleButton {
	color: white !important;
	font-size: 12px;
}

#main-page .contentPane img {
	display: block;
	width: 80%;
}

#main-page .sizer.content {
    color: #3f3f3f;
    padding: 10px;
}

#address-search-container {
	display: block;
	position: absolute;
	z-index: 50;
	top: 20px;
	left: 75px;
}

/* Swipe Bar */

.vertical {
	top: 0 !important;
}

/*
//Main Content - Right
*/

#main-page {
	height: 100%;
	width: 70%;
	float: right;
}

#main-page #toolbar-div {
	height: 40px;
	width: 100%;
	background: #314969;
}

#main-page #toolbar-div #toolbox-menu-button, #main-page #toolbar-div #profile-button {
	color: white;
	height: 100%;
    width: 90px;
    text-align: center;
    padding: 10px;
}
#main-page #content-div {
	float: right;
	width: 100%;
	margin: 0px;
	padding: 0px;
}

#main-page #map-div {
	float: right;
	position: relative;
	width: 100%;
}

@media screen and (min-width: 900px) {

    #main-page #toolbar-div #toolbox-menu-button {
        display: none;
    }

}
